# $Id: webcheck.spec 5310 2007-04-24 10:47:37Z dag $
# Authority: dag

Summary: Site Management Tool for webmasters
Name: webcheck
Version: 1.10.4
Release: 4%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://ch.tudelft.nl/~arthur/webcheck/

# Packager: Dag Wieers <dag@wieers.com>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://ch.tudelft.nl/~arthur/webcheck/webcheck-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch1: webcheck-1.10.4-python2.patch

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python2
Requires: python2

Obsoletes: linbot <= %{version}-%{release}


%description
Webcheck (fka Linbot) allows webmasters to:
 - View the structure of a site
 - Track down broken links
 - Find potentially outdated web pages
 - List links pointing to external sites
 - View portfolio of inline images
 - Do all this periodically and without user intervention


%prep
%setup -q
%patch1 -p1 -b .python2


%build


%install
%{__rm} -rf %{buildroot}

%{__install} -Dp -m0644 favicon.ico %{buildroot}%{_localstatedir}/www/webcheck/favicon.ico
%{__install} -Dp -m0644 webcheck.1 %{buildroot}%{_mandir}/man1/webcheck.1

%{__install} -Dp -m0755 webcheck.css %{buildroot}%{python2_sitelib}/webcheck/webcheck.css
%{__install} -p -m0755 *.py %{buildroot}%{python2_sitelib}/webcheck/
#%%{__cp} -av contrib/ fancytooltips/ parsers/ plugins/ schemes/ %%{buildroot}%%{python2_sitelib}/webcheck/
%{__cp} -av fancytooltips/ parsers/ plugins/ schemes/ %{buildroot}%{python2_sitelib}/webcheck/

%{__install} -d -m0755 %{buildroot}%{_bindir}
# %%{__ln_s} -f ../lib/webcheck/webcheck.py %%{buildroot}%%{_bindir}/webcheck
%{__ln_s} -f %{python2_sitelib}/webcheck/webcheck.py %{buildroot}%{_bindir}/webcheck

### Generate normal (.pyc) and optimized (.pyo) byte-compiled files.
%{__python2} -c 'import compileall; compileall.compile_dir("%{buildroot}", 10, "/", 1)' 
%{__python2} -O -c 'import compileall; compileall.compile_dir("%{buildroot}", 10, "/", 1)'


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README TODO
%doc %{_mandir}/man1/webcheck.1*
%config %{python2_sitelib}/webcheck/config.py
%{_bindir}/webcheck
%{python2_sitelib}/webcheck/
%{_localstatedir}/www/webcheck/
%ghost %{python2_sitelib}/webcheck/*.pyo
%ghost %{python2_sitelib}/webcheck/*/*.pyo


%changelog
* Sun May  5 2019 J. Randall Owens <jrowens@ghiapet.net> - 1.10.4-4
- adapt for explicit python2 for GhiaPet/Fedora 30

* Fri Sep 14 2018 J. Randall Owens <jrowens@ghiapet.net> - 1.10.4-3
- add BuildRequires /usr/bin/python for F29

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.10.4-2
- clean up per rpmlint
- move lib files into %%python_sitelib
- more specific License

* Fri Jun 22 2012 J. Randall Owens <jrowens@ghiapet.net> - 1.10.4-1
- update to 1.10.4
- rebuild for GhiaPet/Fedora 17

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.10.3-1
- update to release 1.10.3
- rebuild for Fedora 12

* Wed Aug 22 2007 Dag Wieers <dag@wieers.com> - 1.10.1-1 - 5310+/dag
- Updated to release 1.10.1.

* Sat Apr 21 2007 Dag Wieers <dag@wieers.com> - 1.9.8-1
- Cosmetic changes.

* Tue Apr 17 2007 R P Herrold <info@owlriver.com> 1.9.8-1orc
- pick up latest, there was a security matter in the intervening time
  since our last packaging

* Mon Oct 23 2000 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- more macros
- /usr/lib/linbot is part of this package

* Wed Sep 13 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
- Adopted rpm macros
- Spec changes to build as non-root
